Page MenuHomePhabricator

Wikitable sortable has wrong order for Czech diacritics
Closed, ResolvedPublic

Description

Special characters in Czech diacritics sort to the end, which is wrong.

Example here: http://cs.wikipedia.org/wiki/Wikipedista:Kozuch/Sorting

Current situation: A,a ... d, á, č, Č, ď

Desired order: A,a,á ... C, Č, c, č, ď

Details

Reference
bz45071

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:32 AM
bzimport added a project: MediaWiki-JavaScript.
bzimport set Reference to bz45071.
bzimport added a subscriber: Unknown Object (MLST).
Kozuch created this task.Feb 16 2013, 10:46 AM

There is no special sort order for languages yet, you can override this, when adding to the Common.js:

mw.config.set( 'tableSorterCollation', {'Č':'C', ...} );

Ok, but this should be solved globally, for all users by default without having to do an extra setting (via common.js or whatever else).

Doing this for all languages isn't easy at all: For example in German "Ä" is considered as a variant of "A", so it should be sorted at the beginning, while in Swedish it is an own character that comes after the "Z".

I guess we need to specify the default sorting for every language separately.

Doing this for all languages isn't easy at all: For example in German "Ä" is considered as a variant of "A", so it should be sorted at the beginning, while in Swedish it is an own character that comes after the "Z".

Well, but sorting is basics of internationalization... unfortunately this was forgotten here.

matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).
Krinkle removed a subscriber: Krinkle.Jan 8 2015, 1:04 PM
Danny_B added a subscriber: Danny_B.Jun 3 2016, 2:52 AM
Oliv0 awarded a token.Nov 7 2016, 8:45 AM
Oliv0 added a subscriber: Oliv0.
Dvorapa added a subscriber: Dvorapa.Jan 7 2019, 2:39 PM

Not sure what needs to be done here, but... We use and have set Unicode collation for Categories (uca-cs for Czech Wikipedia). This is already configured for majority of Wikipedias. Why don't we use the same here?

Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptJan 7 2019, 2:39 PM
matej_suchanek updated the task description. (Show Details)
Dvorapa closed this task as Resolved.Jun 6 2019, 3:08 PM

This seems solved, T47070 is still happening